NonPersistentKeyedBuffer.KeyedNode (Axis API)
Keywords: org.apache.axis.ime.internal.util.NonPersistentKeyedBuffer.KeyedNode,NonPersistentKeyedBuffer.KeyedNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.ime.internal.util
Class NonPersistentKeyedBuffer.KeyedNode

    java.lang.Object
      |
      +--org.apache.axis.ime.internal.util.NonPersistentKeyedBuffer.KeyedNode

Enclosing class:
  NonPersistentKeyedBuffer

protected static class NonPersistentKeyedBuffer.KeyedNode
extends java.lang.Object

Field Summary
`java.lang.Object` | `key`
`NonPersistentKeyedBuffer.KeyedNode` | `next`
`java.lang.Object` | `value`

Constructor Summary
`NonPersistentKeyedBuffer.KeyedNode()`
`NonPersistentKeyedBuffer.KeyedNode(java.lang.Object key, java.lang.Object value)`
`NonPersistentKeyedBuffer.KeyedNode(java.lang.Object key, java.lang.Object value, NonPersistentKeyedBuffer.KeyedNode next)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    public java.lang.Object key

### value

    public java.lang.Object value

### next

    public NonPersistentKeyedBuffer.KeyedNode next

Constructor Detail

### NonPersistentKeyedBuffer.KeyedNode

    public NonPersistentKeyedBuffer.KeyedNode()

### NonPersistentKeyedBuffer.KeyedNode

    public NonPersistentKeyedBuffer.KeyedNode(java.lang.Object key,
                                              java.lang.Object value)

### NonPersistentKeyedBuffer.KeyedNode

    public NonPersistentKeyedBuffer.KeyedNode(java.lang.Object key,
                                              java.lang.Object value,
                                              NonPersistentKeyedBuffer.KeyedNode next)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.